Bug 1443243 - UI: "Save" button is still enabled when no server is selected in "Edit Management Engine Relationship" for VM/Instance
Summary: UI: "Save" button is still enabled when no server is selected in "Edit Manage...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.0
Assignee: Brian McLaughlin
QA Contact: Satyajit Bulage
URL:
Whiteboard: ui
Depends On: 1442736
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-18 20:49 UTC by Satoe Imaishi
Modified: 2017-05-31 14:54 UTC (History)
5 users (show)

Fixed In Version: 5.8.0.12
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1442736
Environment:
Last Closed: 2017-05-31 14:54:04 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-19 20:43:25 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/de46ef59b7b3873fa5fd1a6d5aa86326042fcb90

commit de46ef59b7b3873fa5fd1a6d5aa86326042fcb90
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Tue Apr 18 14:00:35 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Apr 19 16:42:53 2017 -0400

    Merge pull request #1055 from bmclaughlin/disable-save-button-when-no-server-selected
    
    Fix 'Save' button state in Edit Management Engine Relationship for VM/Instance
    (cherry picked from commit d35b1ca02d0fb3efc7876a27586170d87b8658b4)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1443243

 app/controllers/vm_common.rb       |  2 +-
 spec/controllers/vm_common_spec.rb | 20 ++++++++++++++++++++
 2 files changed, 21 insertions(+), 1 deletion(-)

Comment 3 Satyajit Bulage 2017-04-28 07:50:24 UTC
"Save" button is disabled when selecting back "<Not a Server>".

Verified Version:  5.8.0.12-rc1.20170425180304_4f35996

Comment 5 errata-xmlrpc 2017-05-31 14:54:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.